"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmartlingException = void 0;
class SmartlingException extends Error {
    constructor(message, payload = {}, e = null) {
        super(message);
        this.payload = payload;
        this.nestedException = e;
    }
    getPayload() {
        return this.payload;
    }
    getNestedException() {
        return this.nestedException;
    }
}
exports.SmartlingException = SmartlingException;
SmartlingException.prototype.toString = function smartlingExceptionToString() {
    return `${this.message}, payload=${JSON.stringify(this.payload)}, stack=${this.stack}, \n${this.nestedException ? this.nestedException : ""}`;
};
//# sourceMappingURL=index.js.map